The imperative-edsl package

[ Tags: bsd3, language, library ] [ Propose Tags ]

Deep embedding of imperative programs with code generation.

The main module for users who want to write imperative programs is Language.Embedded.Imperative.

Examples can be found in the examples directory.


Versions 0.4.1, 0.5, 0.6, 0.7, 0.7.1
Dependencies array, base (==4.*), BoundedChan, containers, data-default-class, deepseq, directory, exception-transformers, ghc-prim, language-c-quote (>=0.11.5 && <0.13), mainland-pretty (>=0.4 && <0.7), microlens (>=, microlens-mtl (>=0.1.8), microlens-th, mtl, operational-alacarte (>=0.3), process, srcloc, stm (==2.4.*), syntactic (>=3.2), time (>= [details]
License BSD3
Copyright Copyright (c) 2016 Anton Ekblad, Emil Axelsson, Máté Karácsony Copyright (c) 2015 Anders Persson, Anton Ekblad, Emil Axelsson, Markus Aronsson, Josef Svenningsson
Author Anders Persson, Emil Axelsson, Markus Aronsson
Category Language
Home page
Bug tracker
Source repo head: git clone
Uploaded Tue Nov 7 09:12:38 UTC 2017 by mararon
Distributions NixOS:0.7.1
Downloads 1154 total (21 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs available [build log]
Last success reported on 2017-11-07 [all 1 reports]
Hackage Matrix CI




Maintainer's Corner

For package maintainers and hackage trustees